summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2023-05-20 18:19:35 +0100
committerLeah Rowe <leah@libreboot.org>2023-05-20 18:26:09 +0100
commit187d5fa41808535796a56851ee3ee1083feef642 (patch)
treef9e87dc37472c78dd42e3504ad37e507170022d4
parenta05be169980f10028c03546aaebe72647611a475 (diff)
build/descriptors: simplify and fix error handling
main() on top some parts of the script weren't erroring properly Signed-off-by: Leah Rowe <leah@libreboot.org>
-rwxr-xr-xresources/scripts/build/descriptors/ich9m71
1 files changed, 39 insertions, 32 deletions
diff --git a/resources/scripts/build/descriptors/ich9m b/resources/scripts/build/descriptors/ich9m
index 9f4cce6c..b9a077d9 100755
--- a/resources/scripts/build/descriptors/ich9m
+++ b/resources/scripts/build/descriptors/ich9m
@@ -1,44 +1,51 @@
#!/usr/bin/env sh
-# Copyright (C) 2020 Leah Rowe <info@minifree.org>
+# Copyright (C) 2020, 2023 Leah Rowe <info@minifree.org>
#
-# This program is free software: you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation, either version 3 of the License, or
-# (at your option) any later version.
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
#
-# You should have received a copy of the GNU General Public License
-# along with this program. If not, see <http://www.gnu.org/licenses/>.
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
#
-# This script assumes that the current working directory is the root
-# of libreboot_src or libreboot git
-
[ "x${DEBUG+set}" = 'xset' ] && set -v
set -u -e
-if [ ! -f "util/ich9utils/ich9gen" ]; then
- (
- cd util/ich9utils/
- make clean
- make -j$(nproc)
- )
-fi
-if [ ! -f "util/ich9utils/ich9gen" ]; then
- printf "build/descriptors/ich9m: ich9gen wasn't compiled. Exiting\n"
- exit 1
-fi
+ich9gen="util/ich9utils/ich9gen"
+
+main()
+{
+ if [ ! -f "${ich9gen}" ]; then
+ (
+ cd util/ich9utils/ || err "cd"
+ make clean || err "make-clean"
+ make -j$(nproc) || err "make"
+ )
+ fi
+ [ ! -f "${ich9gen}" ] && \
+ err "ich9gen doesn't exist"
-[ -d "descriptors/" ] || mkdir -p "descriptors/"
-[ -d "descriptors/ich9m/" ] || mkdir -p "descriptors/ich9m/"
-rm -f descriptors/ich9m/*
+ [ -d "descriptors/ich9m/" ] || mkdir -p "descriptors/ich9m/"
+ rm -f descriptors/ich9m/* || err "rm-rf"
+
+ (
+ cd descriptors/ich9m/ || err "cd2"
+ ../../"${ich9gen}" || err "ich9gen"
+ )
+}
+
+err()
+{
+ printf "%s: %s\n" $0 $1
+ exit 1
+}
-(
- cd descriptors/ich9m/
- ../../util/ich9utils/ich9gen
-)
+main $@